 %PLOT INDICES
adt = ADT; 
 
 oo  = PC'*EOFs;
 oo1 = PC(1,:)'*EOFs(1,:);
 oo2 = PC(2,:)'*EOFs(2,:);
 oo3 = PC(3,:)'*EOFs(3,:);
 phase = imag(oo);
 reconstruction  = real(oo);
 reconstruction1 = real(oo1);
 reconstruction2 = real(oo2);
 reconstruction3 = real(oo3);

 %BACK TO 3D
 reconstruction  = mat2map(mask,squeeze(reconstruction));
 reconstruction1 = mat2map(mask,squeeze(reconstruction1));
 reconstruction2 = mat2map(mask,squeeze(reconstruction2));
 reconstruction3 = mat2map(mask,squeeze(reconstruction3));

 %DEFINE REGION FOR COMPARISON
  ix = find(lon>-46&lon<-35);
  iy = find(lat>-33&lat<-25);%WAS 35
  aviso = nanmean(nanmean(adt(:,iy,ix),3),2);

  %Detrend/smooth AVISO
 P = polyfit([1:nt]',aviso,1);
 aviso = aviso - polyval(P,[1:nt]');
avisos = smoothdata(aviso,'gaussian',11);
 
%RECONSTRUCT MODES FOR THE REGION 
reci  = nanmean(nanmean(reconstruction(:,iy,ix),3),2);
reci1 = nanmean(nanmean(reconstruction1(:,iy,ix),3),2);
reci2 = nanmean(nanmean(reconstruction2(:,iy,ix),3),2);
reci3 = nanmean(nanmean(reconstruction3(:,iy,ix),3),2);

%PLOTTING
mytallfigure(1),
subplot(3,1,1)
plot(ydec,reci1/std(reci1))
hold on
plot(ydec,avisos/std(avisos))
legend('EOF1','aviso')
title(num2str(corr(reci1,avisos)))

%myfigure(2),
subplot(3,1,2)
plot(ydec,reci2/std(reci2))
hold on
plot(ydec,avisos/std(avisos))
title(num2str(corr(reci2,avisos)))
legend('EOF2','aviso')

%myfigure(3),
subplot(3,1,3)
plot(ydec,reci3/std(reci3))
hold on
plot(ydec,avisos/std(avisos))
title(num2str(corr(reci3,avisos)))
legend('EOF3','aviso')

figure(2);clf
set(gcf,'PaperPosition',[1 1 5 3]); 
set(gcf,'DefaultLineLineWidth',1.5)
wysiwyg;
plot(ydec,reci2*100)%/std(reci2))
hold on
plot(ydec,avisos*100)%/std(avisos))
xlim([1992 2020])
ylim([-6 6])
title(sprintf('%dW-%dW/%dS-%dS',50,35,33,25))
text(1993,-5,sprintf('R= %4.2f',corr(reci2,avisos)))
legend('PC1','AVISO')
set(gca,'fontsize',13,'ytick',[-6:2:6])
ylabel('SSH (m)')
%print('-dpng','-r400','Figures_OSM/SSH_PC1_aviso.png')
pause(2)
close


